summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
authorRaymond Lu <songyulu@hdfgroup.org>2007-02-28 16:54:50 (GMT)
committerRaymond Lu <songyulu@hdfgroup.org>2007-02-28 16:54:50 (GMT)
commitc8ba250a1e2db0d4d66705a131841f5cc1c86a2d (patch)
tree3143dad02fe5398332cd5c1bd8f457d19190f90c /configure
parenta9d32e4896e6577a0fa8380632f45b7f82a34fcb (diff)
downloadhdf5-c8ba250a1e2db0d4d66705a131841f5cc1c86a2d.zip
hdf5-c8ba250a1e2db0d4d66705a131841f5cc1c86a2d.tar.gz
hdf5-c8ba250a1e2db0d4d66705a131841f5cc1c86a2d.tar.bz2
[svn-r13432] Changed the detection of alignment requirement for Direct I/O from configuration to run-time
detection in H5FD_direct_open in H5FDdirect.c.
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure94
1 files changed, 0 insertions, 94 deletions
diff --git a/configure b/configure
index 3c4fb06..3f11df1 100755
--- a/configure
+++ b/configure
@@ -58016,100 +58016,6 @@ else
fi
-
-if test ${hdf5_direct_io} = "yes"; then
- { echo "$as_me:$LINENO: checking for Direct VFD alignment requirement" >&5
-echo $ECHO_N "checking for Direct VFD alignment requirement... $ECHO_C" >&6; }
-
- if test "${hdf5_direct_align+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- if test "$cross_compiling" = yes; then
- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&5
-echo "$as_me: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&2;}
- { (exit 1); exit 1; }; }
-else
- cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-
- #include <stdlib.h>
- #include <sys/types.h>
- #include <sys/stat.h>
- #include <fcntl.h>
- int main(void)
- {
- int *buf;
- int fid;
- fid=open("tst_file", O_CREAT | O_TRUNC | O_DIRECT | O_RDWR, 0755);
- buf = (int*)malloc(sizeof(int));
- if(write(fid, (void*)buf, sizeof(int))<0) {
- close(fid);
- free(buf);
- remove("tst_file");
- exit(1);
- }
- close(fid);
- remove("tst_file");
- free(buf);
- exit (0);
- }
-_ACEOF
-rm -f conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_link") 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_try") 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- hdf5_direct_align=no
-else
- echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-( exit $ac_status )
-hdf5_direct_align=yes
-fi
-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
-
-
-fi
-
-
- if test ${hdf5_direct_align} = "yes"; then
- { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_DIRECT_ALIGN 1
-_ACEOF
-
- else
- { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
- fi
-fi
-
{ echo "$as_me:$LINENO: checking whether exception handling functions is checked during data conversions" >&5
echo $ECHO_N "checking whether exception handling functions is checked during data conversions... $ECHO_C" >&6; }
# Check whether --enable-dconv-exception was given.